> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decentri.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List all holders



## OpenAPI

````yaml GET /token/{address}/holders
openapi: 3.0.0
info:
  title: Decentri API
  description: The infrastructure for tokenizing real world assets
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /token/{address}/holders:
    get:
      tags:
        - Holders
      summary: List all holders from a specific token
      operationId: get
      parameters: []
      responses:
        '200':
          description: The holders have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomerDTO'
        '403':
          description: Forbidden.
        '404':
          description: Not Found.
        '500':
          description: Internal Server Error.
components:
  schemas:
    CustomerDTO:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the customer object.
          example: customer_c7a968e665d9
        object:
          type: string
          description: >-
            A string that specifies the type of the object. All objects of the
            same type share this value.
          example: customer
        name:
          type: string
          description: The name of the customer
          example: John Doe
        email:
          type: string
          description: The email of the customer
          example: john.doe@example.com
        phone:
          type: string
          description: The phone number of the customer
          example: '+1234567890'
        metadata:
          type: object
          description: The metadata of the customer
          example:
            userId: 2b634b51-7f4a-470b-9bd6-c7a968e665d9
        address:
          description: The address of the customer
          example:
            line1: 1234 Main St
            line2: Suite 200
            city: Anytown
            state: CA
            postalCode: '12345'
            countryCode: US
          allOf:
            - $ref: '#/components/schemas/AddressDTO'
        verificationStatus:
          description: The verification status of the customer
          example: IN_PROGRESS
          allOf:
            - $ref: '#/components/schemas/VerificationStatus'
        wallets:
          description: The wallet associated with the customer
          type: array
          items:
            $ref: '#/components/schemas/WalletDTO'
        type:
          type: string
          description: This is the type of the customer
          example: INDIVIDUAL
          enum:
            - INDIVIDUAL
            - ORGANIZATION
        countryCode:
          type: object
          description: >-
            The country code of the address, following the [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) standard
          example: US
        hasCompletedMoneriumSetup:
          type: boolean
          description: Indicates whether the customer has completed the Monerium setup
          example: true
        referralCode:
          type: string
          description: The unique referral code associated with the customer
          example: REF123456
        createdAt:
          format: date-time
          type: string
          description: The date and time when the customer was created
          example: '2023-10-01T12:00:00Z'
        username:
          type: string
          description: The username of the customer
          example: john_doe
      required:
        - id
        - object
        - verificationStatus
        - wallets
        - type
        - countryCode
        - hasCompletedMoneriumSetup
        - referralCode
        - createdAt
        - username
    AddressDTO:
      type: object
      properties:
        line1:
          type: string
          description: The first line of the address
          example: 1234 Main St
        line2:
          type: string
          description: The second line of the address
          example: Suite 200
        city:
          type: string
          description: The city of the address
          example: Anytown
        state:
          type: string
          description: The state of the address
          example: CA
        postalCode:
          type: string
          description: The postal code of the address
          example: '12345'
      required:
        - line1
        - line2
        - city
        - state
        - postalCode
    VerificationStatus:
      type: string
      enum:
        - INCOMPLETE
        - IN_PROGRESS
        - COMPLETED
      description: The verification status of the customer
    WalletDTO:
      type: object
      properties:
        address:
          type: string
          description: The address associated with the user’s wallet.
          example: '0x1234567890123456789012345678901234567890'
        object:
          type: string
          description: >-
            A string that specifies the type of the object. All objects of the
            same type share this value.
          example: wallet
        balances:
          description: Token balances held by the wallet
          allOf:
            - $ref: '#/components/schemas/BalanceDTO'
      required:
        - address
        - object
        - balances
    BalanceDTO:
      type: object
      properties:
        token:
          type: object
          description: The token address.
          example: '0x4dad19801eff64eaaa7c78e466ce3678d0b1fd94'
        total:
          type: string
          description: Total balance of the token.
          example: '1000'
        available:
          description: Details about the available balance.
          allOf:
            - $ref: '#/components/schemas/AvailableDTO'
        frozen:
          description: Details about the frozen balance.
          allOf:
            - $ref: '#/components/schemas/FrozenDTO'
      required:
        - token
        - total
        - available
        - frozen
    AvailableDTO:
      type: object
      properties:
        amount:
          type: string
          description: Amount of tokens available.
          example: '0'
      required:
        - amount
    FrozenDTO:
      type: object
      properties:
        amount:
          type: string
          description: Amount of tokens frozen.
          example: '1000'
      required:
        - amount

````